Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.classloader
Class JarFileUrlStreamHandler

    java.lang.Object
      java.net.URLStreamHandler
          org.apache.axis2.classloader.JarFileUrlStreamHandler

    public class JarFileUrlStreamHandler

extends java.net.URLStreamHandler

Version:
  $Rev: 476049 $ $Date: 2006-11-16 23:35:17 -0500 (Thu, 16 Nov 2006) $

Constructor Summary
`JarFileUrlStreamHandler()`
`JarFileUrlStreamHandler(java.util.jar.JarFile jarFile, java.util.jar.JarEntry jarEntry)`

Method Summary
`static java.net.URL` | `createUrl(java.util.jar.JarFile jarFile, java.util.jar.JarEntry jarEntry)`
`static java.net.URL` | `createUrl(java.util.jar.JarFile jarFile, java.util.jar.JarEntry jarEntry, java.net.URL codeSource)`
`java.net.URLConnection` | `openConnection(java.net.URL url)`
`void` | `setExpectedUrl(java.net.URL expectedUrl)`

Methods inherited from class java.net.URLStreamHandler
`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, setURL, toExternalForm`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarFileUrlStreamHandler

    public JarFileUrlStreamHandler()

### JarFileUrlStreamHandler

    public JarFileUrlStreamHandler(java.util.jar.JarFile jarFile,
                                   java.util.jar.JarEntry jarEntry)

Method Detail

### createUrl

    public static java.net.URL createUrl(java.util.jar.JarFile jarFile,
                                         java.util.jar.JarEntry jarEntry)
                                  throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### createUrl

    public static java.net.URL createUrl(java.util.jar.JarFile jarFile,
                                         java.util.jar.JarEntry jarEntry,
                                         java.net.URL codeSource)
                                  throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### setExpectedUrl

    public void setExpectedUrl(java.net.URL expectedUrl)

### openConnection

    public java.net.URLConnection openConnection(java.net.URL url)
                                          throws java.io.IOException

  Specified by:
    `openConnection` in class `java.net.URLStreamHandler`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.